# shellcheck disable=SC2154,SC2034

it "Should parse cookies" "$({
  HTTP_COOKIE='bob=gob; job=tob'
  _exprash_init
  output=$(declare -p _exprash_cookies)
  expected_output='declare -A _exprash_cookies=([bob]="gob" [job]="tob" )'
  [ "$output" == "$expected_output" ]
})"

it "Should get cookie value by name" "$({
  HTTP_COOKIE='bob=gob; job=tob'
  _exprash_init
  [ "$(cookie 'bob')" == 'gob' ]
})"

it "Should determine if a cookie exists by name" "$({
  HTTP_COOKIE='bob=gob; job=tob'
  _exprash_init
  has_cookie 'bob' && ! has_cookie 'kob'
})"

